Launcher - Make Launcher left of screen reveal more responsive and less prone to false positives

Reported by John Lea on 2011-04-19
410
This bug affects 82 people
Affects Status Importance Assigned to Milestone
Ayatana Design
High
John Lea
Unity
High
Jason Smith
unity-2d
High
Albert Astals Cid
unity-2d (Ubuntu)
High
Unassigned
unity (Ubuntu)
High
Unassigned

Bug Description

Make Launcher left of screen reveal more responsive and less prone to false positives. One approach to achieving this could be requiring the user to push the pointer a certain distance *past* the left edge of the screen to reveal the launcher.

A design prototype has now been published which explores the push past the edge of the display to reveal the Launcher. This prototype also covers how this behaviour works in a multi-monitor setup. See the design blog for more details:
http://design.canonical.com/2012/01/launcher-reveal-prototype/
Prototype and source code have also been attached to this bug.

John Lea (johnlea) on 2011-04-19
tags: added: udo
Changed in ayatana-design:
assignee: nobody → John Lea (johnlea)
importance: Undecided → High
status: New → Fix Committed
John Lea (johnlea) on 2011-04-20
summary: - Launcher - Make Luancher left of screen reveal more responsive and less
+ Launcher - Make Launcher left of screen reveal more responsive and less
prone to false positives
Jason Smith (jassmith) on 2011-05-05
Changed in unity:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Jason Smith (jassmith)
milestone: none → alpha2
Didier Roche (didrocks) on 2011-05-30
Changed in unity (Ubuntu):
status: New → Triaged
John Lea (johnlea) on 2011-06-03
Changed in ayatana-design:
status: Fix Committed → Fix Released
Jorge O. Castro (jorge) on 2011-07-01
tags: added: backlog
Didier Roche (didrocks) on 2011-07-05
Changed in unity:
milestone: 4.2.0 → 4.4.0
Didier Roche (didrocks) on 2011-07-21
Changed in unity:
milestone: 4.4.0 → 4.6.0
Changed in unity:
assignee: Jason Smith (jassmith) → Treviño (Marco Trevisan) (3v1n0)
status: Triaged → In Progress
Changed in unity (Ubuntu):
status: Triaged → In Progress

Pushing the pointer a certain distance *past* the left edge of the screen to reveal the launcher can't be done currently since in X a mouse pointer can just be inside the screen, and since the mouse pointer generally is made with a left-pointing arrow and its top-left angle is the real pointing spot, that point (and all the arrow) can go more to the left than this.

Neil J. Patel (njpatel) on 2011-08-01
Changed in unity:
status: In Progress → Fix Committed
Didier Roche (didrocks) on 2011-08-01
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 4.6.0-0ubuntu1

---------------
unity (4.6.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - compiz crashed with SIGSEGV in __strlen_sse2() (LP: #814619)
    - PlacesHomeView::PlacesHomeView leaks memory (LP: #818450)
    - PluginAdapter::MaximizeIfBigEnough leaks memory (LP: #818477)
    - Launcher - Make Launcher left of screen reveal more responsive and less
      prone to false positives (LP: #765819)
    - Launcher - clicking on a App launcher icon incorrectly un-minimizes
      windows (LP: #783434)
    - Unity doesn't get any mouse wheel scroll event in Indicators InputArea
      (LP: #814574)
    - Unity launcher gets cluttered when having multiple partitions and/or
      external volumes attached (LP: #713423)
    - Unity panel menus and indicators slow to respond. Too much lag.
      (LP: #742664)
    - In Unity the distinction between GVolume, GDrive and GMount is a bit
      confusing. (LP: #799890)
    - Launcher - When a item is deleted by dragging to Trash, the trash should
      pulse once before the Launcher disappears (LP: #750311)
    - ccsm needs an option to change launcher opacity (LP: #815032)
    - add a ccsm option to hide volumes in launcher (LP: #794707)
    - scale plugin doesn't work as desired when "Click Desktop To Show
      Desktop" is true (LP: #810315)
    - mute/unmute sound when user clicks on sound applet using scroll button
      or middle mouse button (LP: #609860)
    - Secondary activate (i.e. middle click) support for indicators advanced
      usage (LP: #812933)
  * debian/control:
    - dep on latest libunity-misc
    - dep on latest nux
    - add build-dep on libgnome-desktop-3-dev
  * debian/rules:
    - bump libunity-core-4.0-4 shlib for ABI break
    - don't ship unity dialogs right now. Not ready for alpha quality
  * distro-patch the grey to darker grey (until the blur is done in nux)
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/patches/01_revert_removed_function_for_unity2d_to_build.patch:
    - revert a removed API making unity-2d not building
 -- Didier Roche <email address hidden> Mon, 01 Aug 2011 19:53:15 +0200

Changed in unity (Ubuntu):
status: In Progress → Fix Released
Omer Akram (om26er) wrote :

"less prone to false positives"
This part have not been fixed even feels it have got worse with the recent release as the default responsiveness value of the launcher have increased

John Lea (johnlea) wrote :

@Marco, further to our conversation the other day reverting bug to Confirmed.

Short description:

Reverted this bug to Confirmed, as the patch submitted does not match the solution agreed with Jason for triggering the reveal based on sustained pressure against the left side of the screen (as an approximation for measuring mouse distance past the left of the screen which X does not support).

Changed in unity:
status: Fix Released → Confirmed
Omer Akram (om26er) on 2011-08-12
Changed in unity (Ubuntu):
importance: Undecided → High
status: Fix Released → Confirmed
Eric Appleman (erappleman) wrote :

This a huge Fitts' Law because of how close the Back and Close Search buttons of Firefox are to the launcher.

Florian Boucault (fboucault) wrote :

@Jason, John: how would the "sustained pressure against the left side of the screen" be measured?

Changed in unity-2d:
status: New → Confirmed
importance: Undecided → High
Corin Royal Drummond (corin) wrote :

Allowing us to configure auto-hiding behavior of unity would also help. If it's open all the time, there's no problems triggering it accidentally.

Giorgio Wicklein (giowck) wrote :

Since Unity is currently on Oneric really buggy, I'm using Unity 2D and noticed that the launcher's behaviour is a lot better here than the 3d version.

I get very rarely false positives. When hitting the back button on chrome/firefox, no launcher reveals.

So, can't you just implement the same launcher behaviour as unity 2d?

manny (estelar57) wrote :

well i did made a mockup long ago to "stop the false positives", as well as to let the user know where the "alerts" from the launcher are all the time (even multiple alerts) after the icon wobble.

is a simple, easy to implement solution and hardly noticeable.

the only difference now is that there's no bfb on the panel, but is the same idea: do not hide the launcher fully, leave 2 or 3 pixels, so it can separate the "app window" from the edge of the screen (giving users extra distance and a visual cue) and at the same time it would even show the position of the alerts for faster mouse targeting.

Omer Akram (om26er) on 2011-09-24
Changed in unity:
assignee: Marco Trevisan (Treviño) (3v1n0) → nobody
milestone: 4.6.0 → backlog
Didier Roche (didrocks) on 2011-10-03
Changed in unity-2d (Ubuntu):
status: New → Confirmed
Franck (alci) wrote :

In latest Oneiric, launcher doesn't show at all unless I press the super (aka windows) key...

Franck (alci) wrote :

probably a stacking problem again, so unrelated...

John Lea (johnlea) on 2011-10-03
Changed in ayatana-design:
importance: High → Critical
John Lea (johnlea) on 2011-10-18
tags: added: udp
Changed in ayatana-design:
status: Fix Released → Fix Committed
John Lea (johnlea) on 2011-10-19
Changed in ayatana-design:
status: Fix Committed → Triaged
Simon Werbeck (turyai) wrote :

While not exactly the solution to the "responsiveness" of the launcher, I propose to add some sort of (configurable) "set-up" time for the launcher to stay hidden, just like there is a "hold" time for it to stay revealed after moving outside the border.
That means that right after revealing the launcher accidentally, one could move outside of it to make it hide again immediately.

Tim Penhey (thumper) on 2011-10-24
Changed in unity:
assignee: nobody → Jason Smith (jassmith)
status: Confirmed → Triaged
John Lea (johnlea) on 2011-10-24
Changed in ayatana-design:
status: Triaged → Fix Committed
Didier Roche (didrocks) on 2011-10-25
Changed in unity (Ubuntu):
status: Confirmed → Triaged
Andrew (1ntr3w) wrote :

I was thinking of changes to the default button layouts, not the function of unity itself when i reported this bug (which was subsequently marked as a duplicate). For example in Firefox the bookmark button is hidden for the Global Menu, so i was thinking that the back/forward buttons and other packages etc could be tweaked for use with Unity, and not alter the function of the Unity launcher itself. As i have just added a few spaces before the arrows to solve the problem in Firefox, but with other packages such as Inkscape with a menu bar on the left etc, they maybe could be adjusted by default for use with Unity, as Firefox is for the Global Menu.

Eric Appleman (erappleman) wrote :

My opinion of Unity is fairly low because this bug overshadows the few aspects of Unity that I actually like.

Bart Broeckx (bart) wrote :

It also affects me. When I try to click on the previous page button in Firefox.
To often it makes the launcher to show up and i have to wait until it hides again before i can reach the utton again.

Possible solutions: Change buttonslayout. Put the adress bar on the far left and place the previous and next page button between the adressbar and the Google search bar.

Changing the Firefox layout would interfere with muscle memory, just to accomodate an Ubuntu bug. And doing so wouldn't solve the problem for Chromium, Epiphany, Midori, or Opera users.

I personally like GNOME Shell's solution of making the upper-left corner the trigger. It doesn't seem as intuitive here since the launcher comes out of the left side, but it's a lot harder to accidentally trigger.

Although then people would accidentally trigger it while trying to hit the close button.

I note that that region of the left edge of the screen no longer triggers the launcher. Maybe this unresponsive area could be extended an inch down or so? At least while a web browser (or full-screen app) is up.

On 16/11/11 19:25, Bart Broeckx wrote:
> Possible solutions: Change buttonslayout. Put the adress bar on the far
> left and place the previous and next page button between the adressbar
> and the Google search bar.

Yes, I think that's useful. Let's put the Home button far left, then the
< > arrows, and make this consistent between Chromium and Firefox.

Please file separate bugs, and patches welcome.

Mark

Mark Shuttleworth (sabdfl) wrote :

On 16/11/11 19:35, Feathertail wrote:
> [Supporting top-left-corner reveal of launcher]...Although then people would accidentally trigger it while trying to hit
> the close button.

Yes, but having the launcher visible then isn't a problem, as you will
inevitably move the mouse away and either launch something else (from
the launcher) or have a split second to see it disappear.

Top left corner activation will be a supported setting in Unity in 12.04.

Mark

@Mark: Later versions of Firefox will very likely not have the search bar at all (I believe they intend on integrating the two a la chrome). This would essentially put the navigation arrows all the way on the right.

Now, this WOULD make it consistent with nautilus' button positioning.

agh, sorry, I thought you had written about putting it between when Mr. Bart had. Apologies.

Dmitry Shachnev (mitya57) wrote :

Firefox bug: bug 891343.

Shannon (xrfang-gmail) wrote :

I proposed an alternative here: https://bugs.launchpad.net/bugs/899782

Although most related bugs are about firefox, I think my proposal is more generic, however it might not be needed, or easy to implement. Just my 2 cents.

Omer Akram (om26er) on 2011-12-09
Changed in unity-2d (Ubuntu):
importance: Undecided → High
Charles Kerr (charlesk) wrote :

This issue when posted on reddit in a thread named "Why Unity is Annoying", got 373 upvotes in 18 hours.

http://www.reddit.com/r/Ubuntu/comments/ngvx3/why_unity_is_annoying/

lycidas (lycidas69) wrote :

This is a highly annoying bug, I am darn near ready to remove the unity desktop because of it.

In Chromium/Chrome you cannot move the back button so you are really stuck, it is now my default browser.

I think a much more simple fix would be to allow moving the launcher bar to the right side of the screen. It could act as a workaround until a better solution is found.

David Gómez (dabisu) wrote :

False positives is also the most annoying behaviour for me. There were some comments about moving the home button to the lefmost side, but i doubt Chrome developers change their original button layout (which is perfectly fine) to fix Canonical stubbornness.

manny (estelar57) wrote :

too bad no one payed attention to my mockup in comment #9

https://bugs.launchpad.net/ayatana-design/+bug/765819/comments/9

needs updating and some tweaking but something like that would help with the false positives a lot no matter where you encounter the problem vertically (not just the top part), because "what you see you don't forget". When you forget something is there you're always prone to step or hit it by accident.

But if anyone else has better ideas, please step forward.

David Gómez (dabisu) wrote :

@estelar57 Yes, too bad :(. If i'm not wrong, OSX takes a similar approach to avoid false positives, adding 2 o 3 pixels between the application and leftmost border (when the launcher is moved to the left side).

Hope someone takes into account your mockup.

manny (estelar57) wrote :

@dabisu

I actually tested it (in a partial manner) with my dad and some friends (my guinea pigs ;)). I un-maximize a window, stretch it and place it 6 o 7 pixels away from the left border. I noticed the times they stumbled with launcher were reduced and the times the launcher appeared they became aware it was not accidental, so they didnt had a problem with it..

Since I set this up, I was too conscious/aware to test it on myself, so that's why is usually better with other people.

David Gómez (dabisu) wrote :

I think the false positives are really a critical problem for Unity. I would be glad if someone within the Unity team would shed light about plans to fix this in 12.04. Changing the layout of buttons is wrong. Not only because Canonical doesn't control Chrome development, but because you have to change a lot of applications to fix an Unity problem. Better heuristics is another one, but Xorg doesn't have good support this and it's a lot of work. Your solution @estelar57 is the best approach, i think.

David Gómez (dabisu) wrote :

Of course the fourth solution is a movable launcher. But that has a discusion of his own (Bug #668415) with over 260 comments and counting.

Danillo (danillo) wrote :

Some people talked about the upper-left corner. I made a suggestion sort of related to this in bug #887142.

David Gómez (dabisu) wrote :

In my opinion upper-left corner invocation is slow and non-natural. There are best solutions.

Alan Bell (alanbell) wrote :

Personally I set the unity icon size to 32px and the launcher to never hide, I lose a few horizontal pixels, but it is much easier to use without the launcher popping in and out every time I want to use something on the left side of an application. I am unconvinced that an autohiding launcher is the best default to have, it is on the left because the modern widescreen aspect ratio is in fact a shortscreen and vertical pixels are at a premium, however horizontal pixels are cheap and the launcher is useful to look at even when you don't want to interact with it and launch something or switch to something. Having it permanently visible makes it a lot easier to move the mouse to the icon I want to click rather than move the mouse to bring out the launcher, then look up and down for the icon I want, then move towards it, then bring out the launcher again because it vanished whilst I was using it!

manny (estelar57) wrote :

@alanbell

yea sometimes i would like to toggle the visibility options quickly when working, kinda how you can on mac osx:

http://i.ehow.co.uk/images/a04/9m/bu/mac-os-x-dock-features-800x800.jpg

but most of the time i prefer it out of the way.

manny (estelar57) wrote :

ah yea the options are also on the dock itself:

http://assets.gcflearnfree.org/topics/202/dock_options.jpg

Hadmut Danisch (hadmut) wrote :

Please keep in mind that this is not just a problem of particular programs like Firefox or Chrome. E.g. when using a regular terminal in full screen mode, it is impossible to mark lines for copy/paste if you want to mark them from the leftmost column.

I never understood what sense this unity launcher makes (except for trying to mimic MacOS). Gnome 2's mechnism was much better. BTW, I find those icons in unity launcher too large, and the animations (where the icons are continuously moving up and down) annoying.

What exactly was the design criterion to move icons to the left and not leave them as small icons on top?

A simple solution might be to move the launcher to the right instead of the left window side, which seems to be less important. Furthermore, a toolbar at the left side is not really ergonomic, since most people are right handers and thus prefer buttons, handles etc. on the right side.

After all, in my eyes this unity launcher bar is not much of a good design. It's rather an attempt to look like a Mac. I'd prefer a desktop looking like Linux.

manny (estelar57) wrote :

>Please keep in mind that this is not just a problem of particular programs like Firefox or Chrome. E.g. when using a regular terminal in full screen mode, it is impossible to mark lines for copy/paste if you want to mark them from the leftmost column.

i agree.

>A simple solution might be to move the launcher to the right instead of the left window side, which seems to be less important. Furthermore, a toolbar at the left side is not really ergonomic, since most people are right handers and thus prefer buttons, handles etc. on the right side.

hmm, right side might suffer even more from false positives when manipulating the scrollbar.

Danillo (danillo) wrote :

I feel that Unity 2D's launcher gives me less false positives, but it could just be a false impression since I don't know if its behavior really is different from Unity 3D's. If it is, starting by making 3D's behavior more like 2D's would be great.

Nathan Heafner (nathan1465-5) wrote :

I have thought about this long and hard, and have come to the realization that in addition to any changes to attempt to address this issue, that the ability to move and scale the launch bar is the most important aspect as it gives a final solution to any issues we may be unable to solve for false negatives and personal preferences.

I would highly appreciate anyone that agrees with this statement to clearly state so by adding comments in agreement.

Hadmut Danisch (hadmut) wrote :

@Nathan: This is not a „final solution” for a simple reason and design problem:

The basic idea of the launch bar is the ability to hide to allow an application window to occupy the whole screen (which is in principle a good idea), while still beeing usable and responsible through mouse events.

This necessarily bears the risk of interfering and conflicting with the user interface of the window it wants to grant screen space.

The launch bar suffers from the design flaw that X11 is not designed to have two programs beeing responsible at the same time for a rectangle on the screen. The X11 idea is that one window is in front, while others become inactive about user in- and output. The basic design flaw of the launch bar is to break this principle without having X11 ready for this.

Beyond that, in my personal perception, this launch bar is highly annoying because of it's too large icons and it's obtrusive animations. It's too coltish to be ergonomic.

Gnome 2 had (at least in my eyes) definitely the much better user interface by placing small program icons onto the top bar and simply offering the application tree. I'd really appreciate if there was an option to completely get rid of that launch bar and get back to a Gnome2-like appearance. Gnome2's appearance was good the way it was, at least significantly better than everything oneiric can offer.

I think the best solution would be to implement this option to turn the launch bar completely off and teach the top bar to behave like Gnome 2 did when not needed to display the menues of a fully enlarged windows.

regards

Pako (elektrobank01) wrote :

Gnome 3 has resolved this with a simple solution. Every time the launcher appears, the windows go scaled. It could be even simpler to somehow shrink the window like Firefox does when new tab is opened.

Mike Coleman (tutufan) wrote :

One easy change that seems to largely fix the problem for me is to increase the "Edge Reveal Timeout" to 1000 (one second). This pretty much eliminates Unity jumping open when I don't want it, at the price of a small, occasional wait.

The main bad thing about this is that it's poor user interface for new users. (Probably not as poor as the current behavior, though.)

sabby7890 (tsalacinski) wrote :

I think I have an idea. What about this:

1. Reveal Launcher after standard time
2. If mouse cursor leaves the launcher before timeout (for example - one second), hide the launcher immediately.
3. If mouse cursor stays for longer than timeout, use current behaviour (launcher hides after 500ms?).

I think this could resolve false positives, plus doesn't change current behaviour that much.

Hadmut Danisch (hadmut) wrote :

reveal launcher only if mouse is over the launcher area _and_ window button is pressed at the same time...

Pako (elektrobank01) wrote :

Nine out of ten people are impressed of their iPhones and Androids because of responsive desktop. so playing with milliseconds is a quite sensitive issue.

Nathan Heafner (nathan1465-5) wrote :

Pako, I agree

what im trying to state is this;

1. Each user will utilize their desktop differently obviously, so the false positives is a subjective description dependent on each users desktop usage. IE. doing away with false positives (in regards to the launch bar) entirely in theory is not possible.

2. The solution to problem 1 is that in addition to what ever changes are made to address the issue, users should be able to move the launcher to their liking and scale its size to attempt to make false positives less annoying.

Might I add that in no way shape or form is this a solution entirely, this is just another option for the user. Without these options, users that experience false positive will have nothing to do other than put up with it, and file another bug report.

Hadmut Danisch (hadmut) wrote :
Download full text (3.3 KiB)

@Nathan: No. Definitely not.

The main and major mistake of unity, which your proposal does not solve, is to force the user into a particular desktop and working style without leaving any options, without allowing to configure to your local needs and taste. Unfortunately, this enforced style does not meet most people's requirements. The odd thing is that unity tries to be a poor man's MacOS, which is really a bad idea. Whoever wants to use a Mac will buy a Mac, and not use a lame copy.

E.g. I've installed a new machine this week with oneiric and again tried to work with unity. Unity is broken through bad design and poor ergonomics. E.g. that MacOS-like style to move all Menus from the program's window to the top bar is usefull in full screen mode, but otherwise highly annoying and confusing, because it moves menues far away from the active program. Even worse, that ugly window style makes it difficult to see which window is currently active. Plenty of times I accidently used the menues of the wrong program (i.e. other program than intended). And it makes usage slow and counter-intuitive, because menues are too far away. (And this is not necessarily good just because Apple does it that way.)

In other words: The Annoyance of unity is not just limited to that launcher bar stealing mouse events. It's the whole idea that's odd. The idea of forcing people to use a user interface build after the personal flavour of some ubuntu designers, but loaded with flaws. You need to make it configurable. Make every single design element of unity (i.e. every detail where it differs from earlier ubuntu desktops that were really good) configurable. Allow users to turn it off if they don't like it.

This means: A poor launcher bar does not get any better if you move it to a different position or give it a different shape or timing. You need to provide users an option to work completely without that damned launcher bar at all. Because some like it, but others hate it. This thing is really bad designed and a major reason for not using unity. On one computer I'm using Gnome3, on the other XFCE, just because unity is a continuous annoyance, confusing, overloaded with automatisms and animations, and in my eyes designed for children, not for working people. Even after several months of trying to do so I cannot really work with unity. It's a horrible interface.

When installing a new net top computer this week, I used an old 2,5 inch hard disk which I had replaced in a notebook computer about 3 years ago and never touched it again since then. I found an old ubuntu on it, which still booted into it's regular desktop. This old gnome2 desktop was wonderful. Fast, intuitive, no problems at all. Doing it's job and not disturbing the user. (And nice brown colors compared to that ugly ones of today.) I hate to say, but ubuntu's desktop has significantly degraded and become worse since that. 2-3 years ago i was working with the desktop. Today I have to work against the desktop.

Linus Thorvalds described it absolutely correctly: Gnome2 was much better then XFCE is. But XFCE is still better than Unity and Gnome3 are today.

@Pako: Not correct. I also own an iPad, an iPo...

Read more...

manny (estelar57) wrote :

@hadmut

the global menu problem is another bug entirely:

https://bugs.launchpad.net/unity/+bug/682788

Hadmut Danisch (hadmut) wrote :

@manny:

Sure, it's another bug. But caused by the same reason, which is trying to force users into a particular (but poor) desktop design.

So fixing the bugs involves identifying and solving that general problem.

They won't fix the bug by just playing around with details like timing and responsiveness, while keeping the general idea of unity as a you-must-do-it-this-way but broken model.

Danillo (danillo) wrote :

Hadmut, Unity will become more customizable as soon as the developers make it more stable. That's just not possible right now with the huge amount of work to be done. But from what you are saying, clearly what you want is Xubuntu. It's a great spin-off, fully supported by Canonical. Try it out. But please let's stay focused on the issue of this bug.

Maybe when an application is maximized, the launcher could show a small tab in the middle of the left side of the screen, and this would be the only area where we can reveal it. In attached there's a (very amateurish) mock-up.

Hadmut Danisch (hadmut) wrote :

@Danillo:

You mean they've tried to force their users into unity before it was stable?

Actually I am already using Xubuntu (or to be more precise a regular ubuntu with post-installed xfce) on some of my computers, e.g. the one where I am writing this comment right now.

XFCE is currently better than Unity, but has some other shortcomings and is somewhat incomplete or unfinished.

Clearly what I want is: Gnome 2. I was happy with it, it did exactly what I wanted and needed.

Everything what oneiric has to offer, unity, gnome3, gnome shell, kde, xfce, lxde is worse than Gnome 2. The most important step to re-improve things would be to kick the guys at gnome who designed gnome3 out and restart a branch from gnome 2 .

Currently most desktop stuff is controlled by people who are unable to design a user interface properly, but want to bring in their style. That's why things are getting worse at the moment. Good bad example is Thunderbird. It's user interface was much better 3 years ago. Right now it is worse, bulky, does not make sense, some important things don't work anymore. And they are completely deaf against user complaints. Current development styles are horrible.

manny (estelar57) wrote :

@danillo

well a tab is not a bad idea and would be tablet/finger friendly too.

not sure if it has to overlap apps. Maybe it could have it's own vertical space on the side (as suggested on comment #9; which would also serve to show where the alerts generated) and the tab could be more compact and overlap less.

another thing that would be useful is being able to "pin" it (again tablet friendly) and toggle the visibility to always visible and unpin to go back to intelli-hide.

manny (estelar57) wrote :

would also add that having a visible cue like a tab makes it more intuitive.

Adolfo Jayme (fitoschido) wrote :

Hey, we just could stop the rants? I really don't fancy that shit in my inbox. This bug report has enough comments IMO

Stewart Wilson (stewartw) wrote :
Stewart Wilson (stewartw) wrote :

Design prototype published for launcher reveal. See updated bug description for details.

description: updated
Nathan Heafner (nathan1465-5) wrote :

Im interested in how the new reveal setup prototype would work for a touchscreen setup. No mouse.

Jason Smith (jassmith) on 2012-01-30
Changed in unity:
status: Triaged → Fix Committed
Jason Smith (jassmith) on 2012-01-30
Changed in unity:
milestone: backlog → 5.2.0
Didier Roche (didrocks) on 2012-02-01
Changed in unity (Ubuntu):
status: Triaged → Fix Committed
Didier Roche (didrocks) on 2012-02-03
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.4 KiB)

This bug was fixed in the package unity - 5.2.0-0ubuntu1

---------------
unity (5.2.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Unity needs a way to switch (tab) between windows on current workspace
      (LP: #863399)
    - compiz crashed with SIGSEGV in BamfLauncherIcon::NameForWindow()
      (LP: #865840)
    - Gradual degradation in desktop performance. (LP: #888039)
    - compiz (unity) crashes with SIGSEGV when a window is minimized.
      (LP: #918329)
    - FavoriteStore external change support (LP: #681503)
    - Launcher - Make Launcher left of screen reveal more responsive and less
      prone to false positives (LP: #765819)
    - Window auto-maximise functionality should be disabled on monitors with a
      resolution above 1024 x 600 (LP: #797808)
    - Dash: very high latency responding to input (LP: #828582)
    - Dash - Behaviour of the 'All' button in the Dash filters broken in
      several ways (LP: #841864)
    - alt-tab - The app title in the top left of the top bar should change as
      the alt-tab focus changes (LP: #855516)
    - Keyboard shortcut - Add keyboard shortcut hint overlay that is displayed
      when a user presses and holds the Super key (LP: #855532)
    - Unity crashes when started in an environment without utouch support
      (LP: #860707)
    - Dash - Remove Dash Home shortcut icons (LP: #885738)
    - Dash - Most Frequently Used apps change to Recently Used, without
      Launcher favorites (LP: #893214)
    - Should have a launcher on every monitor (LP: #915944)
    - Launcher autohide behaviour on multi-monitor (LP: #915946)
    - the unity wrapper should kill compiz before restarting it (LP: #919132)
    - Launcher - Implement workspace/launcher cross interactions (LP: #690143)
    - Application icons should only display windows from the current workspace
      in the window spread (LP: #689733)
    - Notification area ("system tray") missing when using dual monitors of
      different sizes, with their bottoms aligned (LP: #778256)
    - Clicking Nautilus launcher icon fails to open a Nautilus file explorer
      window when copying a file and all other Nautilus windows are closed /
      bamf should skip the taskbar (LP: #784804)
    - Dash - the search box is not aligned correctly relative to the Launcher
      BFB button (LP: #838904)
    - Dash - A expand/collapse arrow is missing from all the filter category
      headers (LP: #841870)
    - Dash - the filter buttons should not have a mouse over state
      (LP: #838901)
    - Dash - the "Filter results" text is the wrong size, wrong font weight,
      and aligned incorrectly in both the vertical and horizontal axis
      (LP: #863240)
    - Add SUPER+TAB switching mode that enables the user to switch
      applications via the Launcher (LP: #891620)
    - Software Centre - automatically add app icon to launcher (LP: #761851)
    - Compiz add transparency to titlebar along with the panel (LP: #912682)
    - The search box is too opaque and dark (LP: #913717)
    - Dash - Make statefulness of Dash Home and Dash Lenses consistent
      (LP: #914759)
    - Unity 5.0: "All" button for filters render as "..." (LP: #91...

Read more...

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
David Gómez (dabisu) wrote :

¿Fixed? The bug description says "more responsive and less prone to false positives". Yes, of course there aren't false positives now, but, responsive? Now is UN-responsive :-(

Mossroy (mossroy) wrote :

Yes, that's very annoying.
But well, that just reminds us that it's still an alpha version : I almost had forgotten it...

Pako (elektrobank01) wrote :

Yes, and that's what I warn about time ago -> #46

Omer Akram (om26er) wrote :

bug 923749 is about the "responsiveness"

Pako (elektrobank01) wrote :

You waste your time with lot of experiments. This should be solved with a simple solution and that is....SCALE or SHRINK the window when launcher appear. Milliseconds should be at 0.00001. Linux is about speed!

John Lea (johnlea) on 2012-02-20
Changed in ayatana-design:
importance: Critical → High
Gerry Boland (gerboland) on 2012-03-07
Changed in unity-2d:
status: Confirmed → Fix Committed
assignee: nobody → Albert Astals Cid (aacid)
milestone: none → 5.8
Didier Roche (didrocks) on 2012-03-15
Changed in unity-2d:
milestone: 5.8 → 5.7
Didier Roche (didrocks) on 2012-03-19
Changed in unity-2d:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-2d - 5.7.0-0ubuntu1

---------------
unity-2d (5.7.0-0ubuntu1) precise; urgency=low

  * New upstream release:
    - unity-2d-panel crashed with SIGABRT in Unity2dDebug::unity2dQtHandler()
      (LP: #925457)
    - unity-2d-shell crashed with SIGSEGV in ref() (LP: #947278)
    - Launcher - Make Launcher left of screen reveal more responsive and less
      prone to false positives (LP: #765819)
    - [dash] [launcher] [panel] Tinting based on wallpaper missing
      (LP: #882101)
    - [launcher] In multimonitor setup Unity-2D only shows launcher on one
      monitor (fails MM UX spec #2.8) (LP: #780204)
    - [unity-2d] FF exception to add PointerBarrier to Unity2d (LP: #947976)
    - multimonitor, launcher: Provide an option to display either a single
      launcher or a launcher on each display in a multi-monitor environment
      (LP: #950136)
    - lens switching is not keyboard navigable (LP: #945220)
    - [panel] [multi-monitor] On secondary screen, unable to scrub from
      indicator menu to app menu (LP: #844809)
    - "Workspaces" button displays previous wallpaper (LP: #900019)
    - Dash - cursor should change when pointer is over the search field
      (LP: #849175)
    - Filter checkboxes are without margins in right to left locales
      (LP: #949319)
    - [panel] [multi-monitor] Open indicator menu on one screen causes other
      indicator to look open too (LP: #844798)
    - Dash - horizental divider line in between categories incorrectly drawn
      (LP: #841750)
    - [launcher] Tile Progress bar starting from left of launcher, not
      container (LP: #912777)
    - Dash - dash is not closed with alt+f4 (LP: #891818)
    - [dash] Rating stars in right-to-left locales behave inconsistently.
      (LP: #945719)
    - LensButton.qml:72 warning when running unity-2d (LP: #947276)
    - [dash] Multi-range filters are rendered incorrectly in right-to-left
      locales (LP: #950649)
  * debian/unity-2d.gconf-defaults:
    - removed: not used anymore and causing regression with hide-mode=2
      by default, converted to the gsettings key (LP: #942772)
  * debian/unity-2d.preinst:
    - removed, was a natty -> oneiric transition
  * debian/control, debian/unity-2d-common.install:
    - create unity-2d-common and make some packages depending on it
    - move some files from unity-2d package to unity-2d-common
      (gsettings and apport hook) to have packaging shipping their schema
      (LP: #925457)
  * debian/unity-2d-common.install.in:
    - no more gconf -> gsettings migration shipped
  * debian/unity-2d.postinst, prerm, trigger:
    - moved to unity-2d-common new package, to ensure even people uninstalling
      unity-2d got the right metacity configuration in the session
    - update the trigger to the correct directory
  * debian/control:
    - bump to latest Standards-Version
    - fix some too long description
    - put the transitional packages in the oldlibs/extra section
    - build-dep on libxtst-dev, libxfixes-dev for barrier change
    - need latest metacity for barriers to work
 -- Didier Roche <email address hidden> Mon, 19 Mar 2012 14:07:10 +0100

Changed in unity-2d (Ubuntu):
status: Confirmed → Fix Released
Nick Tait (jnick-tait) on 2012-04-26
Changed in ayatana-design:
status: Fix Committed → Fix Released
tags: added: reviewedbydesignp
removed: udo udp
To post a comment you must log in.